[Launch]
ProgramExecutable=RawTherapee\x64\RawTherapee.exe
WorkingDirectory=%PAL:AppDir%\RawTherapee\x64
DirectoryMoveOK=yes
SupportsUNC=yes
MinOS=7

[Activate]
Registry=true

[Environment]
RT_CACHE=%PAL:DataDir%\cache
RT_SETTINGS=%PAL:DataDir%\settings

[RegistryKeys]
GSettings-file-chooser=HKCU\Software\GSettings\org\gtk\settings\file-chooser

[RegistryCleanupIfEmpty]
1=HKCU\Software\GSettings\org\gtk\settings
2=HKCU\Software\GSettings\org\gtk
3=HKCU\Software\GSettings\org
4=HKCU\Software\GSettings

[FilesMove]
;settings\options=%LOCALAPPDATA%\RawTherapee
.recently-used.xbel=%USERPROFILE%
recently-used.xbel=%USERPROFILE%

[DirectoriesMove]
;cache=%FullAppDir%\cache
;RawTherapee40=%LOCALAPPDATA%\RawTherapee4.0.12
;RawTherapee41=%LOCALAPPDATA%\RawTherapee4.1
;RawTherapee42=%LOCALAPPDATA%\RawTherapee4.2
;RawTherapee5=%LOCALAPPDATA%\RawTherapee5
;RawTherapee=%LOCALAPPDATA%\RawTherapee

[DirectoriesCleanupIfEmpty]
1=%LOCALAPPDATA%\gtk-3.0
2=%LOCALAPPDATA%\RawTherapee

[Language]
Base=%PortableApps.comLocaleName%
CheckIfExists=%PAL:AppDir%\RawTherapee\x64\languages\%PAL:LanguageCustom%
DefaultIfNotExists=English (US)

[LanguageFile]
Type=INI
File=%PAL:DataDir%\settings\options
Section=General
Key=Language

[LanguageStrings]
Catalan=Catala
Czech=Czech
Danish=Dansk
Dutch=Nederlands
English=English (US)
EnglishGB=English (UK)
French=Francais
German=Deutsch
Hungarian=Magyar
Italian=Italiano
Japanese=Japanese
Polish=Polish
Portuguese=Portugues
PortugueseBR=Portugues (Brazil)
Russian=Russian
SimpChinese=Chinese (Simplified)
Slovenian=Slovenian
Spanish=Espanol (Castellano)
SpanishInternational=Espanol (Latin America)
Swedish=Swedish
TradChinese=Chinese (Traditional)

[FileWrite1]
Type=INI
File=%PAL:DataDir%\settings\options
Section=General
Key=Language
Value=%PAL:LanguageCustom%

[FileWrite2]
Type=Replace
File=%PAL:DataDir%\settings\options
Find=%PAL:LastPortableAppsBaseDir:DoubleBackslash%\\
Replace=%PAL:PortableAppsBaseDir:DoubleBackslash%\\

[FileWrite3]
Type=Replace
File=%PAL:DataDir%\settings\options
Find=%PAL:LastDrive%%PAL:LastPackagePartialDir:DoubleBackslash%\\
Replace=%PAL:Drive%%PAL:PackagePartialDir:DoubleBackslash%\\

[FileWrite4]
Type=Replace
File=%PAL:DataDir%\settings\options
Find=%PAL:LastDrive%\\
Replace=%PAL:Drive%\\

[FileWrite5]
File=%PAL:DataDir%\settings\options
Type=Replace
Find=STARTUPPATHDEFAULT
Replace=%PortableApps.comPictures:DoubleBackslash%\\

[FileWrite6]
File=%PAL:DataDir%\settings\options
Type=Replace
Find=DATAPATHDEFAULT
Replace=%PAL:DataDir%:DoubleBackslash%\\
